import requests
import time
import datetime
import pymysql
import random
import pandas as pd


cookies = {
    "sessionid": '1',
}

auto_click_url = "http://earth.igengmei.com/api/v1/reply/create"

login_url = "http://earth.igengmei.com/api/account/login_pwd"


def index_first():

    r1=requests.get(login_url)

    return r1.cookies.get_dict()


def login(cookies,user,pwd):

    post_dict={
        'account_type':2,
        'pwd':pwd,
        'email':user
    }
    response = requests.post(
        url=login_url,
        data=post_dict,
        cookies=cookies
    )
    print(response.text, 'url')


def reply(cookies_get,id,content):
    post_dict={
        'topic_id':id,
        'content':content
    }
    response=requests.get(url=auto_click_url,
                      cookies=cookies_get,
                      data=post_dict)

    print(response.text, 'url')


def time_conv(numtime):

    now = datetime.datetime.now()
    yes_time  = now -datetime.timedelta(days=numtime)
    yes_time_str=yes_time.strftime('%Y-%m-%d')
    return yes_time_str


def get_data(numtime):

    db = pymysql.connect(host="rm-2ze5k2we69904787l.mysql.rds.aliyuncs.com", user='work', passwd='Gengmei123', db="alpha", port=3306)
    cursor = db.cursor()
    # print("---------")
    cursor.execute("SELECT id FROM topic WHERE create_time LIKE '%%%%%s%%%%' " %numtime)
    data = cursor.fetchall()
    user_id = list(data)
    print("Database version : %s " % user_id)
    db.close()

    return user_id


def get_comment():

    data = pd.read_csv("guanshui", sep='\n')
    num = random.randint(0, len(data))
    list_guanshui = []
    for i in data['comment	scene']:
        l = i.split('\t')
        list_guanshui.append(l[0])

    comment = list_guanshui[num]

    return comment


if __name__ == "__main__":

    time_list = [1, 3, 5, 7]

    for i in range(len(time_list)):

        time.sleep(random.randint(5000,6500))

        numtime = time_conv(time_list[i])

        user_id = get_data(numtime)

        for j in user_id:

            id = int(j[0])

            time.sleep(random.randint(300,700))

            num_majia = random.randint(0, 300)

            #user_id=majia[num]

            # cookies = index_first()

            # login(cookies,user=cookies,pwd='')

            comment = get_comment()

            reply(cookies, id, comment)

