import requests
import time
import datetime
import pymysql
import random
import pandas as pd

cookies = {
    "sessionid": '1',
}


s = requests.session()

s.keep_alive = False

requests.adapters.DEFAULT_RETRIES = 5

auto_follow_url = "http://earth.igengmei.com/api/v1/follow"

auto_click_url = "http://earth.igengmei.com/api/v1/like"

login_url = "http://earth.igengmei.com/api/account/login_pwd"

auto_urge_url = "http://earth.igengmei.com/api/v1/user/urge"

auto_click_url = "http://earth.igengmei.com/api/v1/pick/do_pick"



def index_first():
    r1=requests.get(login_url)
    return r1.cookies.get_dict()

def login(cookies,user,pwd):
    post_dict={
        'account_type':user,
        'pwd':pwd
    }
    response = requests.post(
        url=login_url,
        data=post_dict,
        cookies=cookies
    )
    print(response.text, 'url')

def dz(cookies_get, id):
    post_dict = {
        'type': 1,
        'id': id
    }
    response = requests.post(url=auto_click_url,
                             cookies=cookies_get,
                             data=post_dict)

    print(response.text, 'url')

def follow(cookies_get, id):
    post_dict = {
        'type': 1,
        'id': id
    }
    response = requests.post(url=auto_follow_url,
                            cookies=cookies_get,
                             data=post_dict)

    print(response.text, 'url')

def Urge(cookies_get, id):
    post_dict = {
        'id': id
    }
    response = requests.post(url=auto_urge_url,
                             cookies=cookies_get,
                             data=post_dict)

    print(response.text, 'url')

def pick(cookies_get,id):
    post_dict={
        'pick_user_id':id,
        'is_pick':1,
        'pick_type':0
    }
    response=requests.get(url=auto_click_url,
                      cookies=cookies_get,
                      data=post_dict)

    print(response.text, 'url')

def time_conv(numtime):

    now = datetime.datetime.now()
    yes_time = now - datetime.timedelta(days=numtime)
    yes_time_str = yes_time.strftime('%Y-%m-%d')
    print(now)
    return yes_time_str

def get_star_userid(numtime):

    db = pymysql.connect(host="rm-2ze5k2we69904787l.mysql.rds.aliyuncs.com", user='work', passwd='Gengmei123',
                         db="alpha", port=3306)
    cursor = db.cursor()

    cursor.execute(
        "SELECT user_id FROM topic WHERE content_level =4 or content_level =5 and create_time LIKE '%%%%%s%%%%'" % numtime)

    data = cursor.fetchall()

    user_id = list(data)

    print("Database version : %s " % user_id)

    db.close()

    return user_id

def get_star_tieid(numtime):

    db = pymysql.connect(host="rm-2ze5k2we69904787l.mysql.rds.aliyuncs.com", user='work', passwd='Gengmei123',
                         db="alpha", port=3306)
    cursor = db.cursor()

    cursor.execute(
        "SELECT id FROM topic WHERE content_level =4 or content_level =5 and create_time LIKE '%%%%%s%%%%'" % numtime)

    data = cursor.fetchall()

    user_id = list(data)

    print("Database version : %s " % user_id)

    db.close()

    return user_id

if __name__ == "__main__":

    time_list = [1, 3, 7,10]

    for num  in time_list:

        numtime = time_conv(num)

        if num == 1:

            user_id = get_star_tieid(numtime)

            for i in user_id:

                num_cishu = random.randint(1, 5)

                for j in range(num_cishu):

                    time.sleep(random.randint(300,400))

                    num_tieid = random.randint(1,300)

                    # cookies = index_first()

                    # login(cookies,user=cookies,pwd='')

                    dz(cookies, id)

        elif num==3 or num == 7:

            user_id = get_star_tieid(numtime)

            for i in user_id:

                num_cishu = random.randint(1, 2)

                for j in range(num_cishu):

                    time.sleep(random.randint(300, 400))

                    num_tieid = random.randint(1, 300)

                    # cookies = index_first()

                    # login(cookies,user=cookies,pwd='')

                    dz(cookies, id)

        else:

            user_id=get_star_userid(numtime)

            for i in user_id:

                num_cishu = random.randint(1, 5)

                for j in range(num_cishu):

                    time.sleep(random.randint(300, 400))

                    num_userid = random.randint(1, 300)

                    # cookies = index_first()

                    # login(cookies,user=cookies,pwd='')

                    follow(cookies, id)

                    Urge(cookies,id)

                    pick(cookies,id)





