import requests
import time
import datetime
import pymysql
import random
import pandas as pd

cookies = {
    "sessionid": '6',
}

s = requests.session()

s.keep_alive = False

requests.adapters.DEFAULT_RETRIES = 5


auto_urge_url = "http://earth.igengmei.com/api/v1/user/urge"

login_url = "http://earth.igengmei.com/api/account/login_pwd"


def index_first():

    r1=requests.get(login_url)
    return r1.cookies.get_dict()


def login(cookies,user,pwd):
    post_dict={
        'account_type':user,
        'pwd':pwd
    }
    response = requests.post(
        url=login_url,
        data=post_dict,
        cookies=cookies
    )
    print(response.text, 'url')


def Urge(cookies_get, id,comment):
    post_dict = {
        'id': id,
        'comment':comment
    }
    response = requests.post(url=auto_urge_url,
                             cookies=cookies_get,
                             data=post_dict)

    print(response.text, 'url')


def time_conv(numtime):
    now = datetime.datetime.now()
    yes_time = now - datetime.timedelta(days=numtime)
    yes_time_str = yes_time.strftime('%Y-%m-%d')
    print(now)
    return yes_time_str


def get_data(numtime):

    db = pymysql.connect(host="rm-2ze5k2we69904787l.mysql.rds.aliyuncs.com", user='work', passwd='Gengmei123',
                         db="alpha", port=3306)
    cursor = db.cursor()
    print("---------")

    cursor.execute("SELECT user_id FROM topic WHERE create_time LIKE '%%%%%s%%%%'" % numtime)
    data = cursor.fetchall()

    user_id = list(data)


    print("Database version : %s " % user_id)

    db.close()

    return user_id


if __name__ == "__main__":

    time_list = [1, 3,7]

    for i in range(len(time_list)):

        numtime = time_conv(time_list[i])

        user_id = get_data(numtime)

        for j in user_id:

            id = int(j[0])

            time.sleep(random.randint(200,500))

            num_cishu = random.randint(0, 2)

            if num_cishu == 0 and time_list[i]==1:

                pass

            elif num_cishu == 1 :

                num_majia = random.randint(1, 300)

                #user_id=majia[num]

                # cookies = index_first()

                # login(cookies,user=cookies,pwd='')

                Urge(cookies, id)

            else:

                for i in range(num_cishu):

                    num_majia = random.randint(0, 300)

                    #user_id=majia[num]

                    # cookies = index_first()

                    # login(cookies,user=cookies,pwd='')

                    Urge(cookies, id)

        time.sleep(random.randint(2000, 3000))

